List Test Lists
GET
/api/v1/test_lists
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/test_lists?per=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/test_lists?per=10&page=1' \ --header 'Authorization: Bearer <token>'Retrieves the test lists
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
Responses
Section titled “ Responses ”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
organization_id
required
integer
name
required
string
user_ids
required
Array<integer>
created_at
required
string format: date-time
updated_at
required
string format: date-time
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "pagination": { "per": 10, "page": 1, "total": 100 }}Unauthorized
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Forbidden
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}